Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.client
Class ReportUnitImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.client.ReportUnitImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, Resource, ReportUnit, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class ReportUnitImpl

extends ResourceImpl
implements ReportUnit

Version:
  $Id: ReportUnitImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `ReportUnitImpl.ResourceListLocalNameLocator`
`protected static class` | `ReportUnitImpl.ResourceListLocator`
`protected static class` | `ReportUnitImpl.ResourceListReferenceLocator`

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.jasperreports.domain.ReportUnit
`LAYOUT_POPUP_SCREEN, LAYOUT_SEPARATE_PAGE`

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`ReportUnitImpl()`

Method Summary
`void` | `addInputControl(InputControl inputControl)`
`void` | `addInputControl(ResourceReference inputControlReference)`
`void` | `addInputControlReference(java.lang.String referenceURI)`
`void` | `addResource(FileResource resource)`
`void` | `addResource(ResourceReference resourceReference)`
`void` | `addResourceReference(java.lang.String referenceURI)`
`byte` | `getControlsLayout()`
`ResourceReference` | `getDataSource()` Returns the reference to the `data source` used by this report unit.
`protected java.lang.Class` | `getImplementingItf()`
`InputControl` | `getInputControl(java.lang.String name)`
`java.lang.String` | `getInputControlRenderingView()`
`java.util.List` | `getInputControls()` Returns a list of `references` to `input controls` used by this report unit.
`ResourceReference` | `getMainReport()` Returns the reference to the `JRXML resource` used by this report unit as master report
`ResourceReference` | `getQuery()` Returns the reference to the `query` used by this report unit.
`java.lang.String` | `getReportRenderingView()`
`FileResource` | `getResource(java.lang.String name)`
`FileResource` | `getResourceLocal(java.lang.String name)`
`java.util.List` | `getResources()`
`protected ReportUnitImpl.ResourceListLocalNameLocator` | `inputControlsLocalNameLocator(java.lang.String name)`
`protected ReportUnitImpl.ResourceListReferenceLocator` | `inputControlsReferenceLocator(java.lang.String referenceURI)`
`boolean` | `isAlwaysPromptControls()`
`ResourceReference` | `removeInputControl(int index)`
`InputControl` | `removeInputControlLocal(java.lang.String name)`
`boolean` | `removeInputControlReference(java.lang.String referenceURI)`
`ResourceReference` | `removeResource(int index)`
`FileResource` | `removeResourceLocal(java.lang.String name)`
`boolean` | `removeResourceReference(java.lang.String referenceURI)`
`protected void` | `replaceInputControl(ReportUnitImpl.ResourceListLocator locator, ResourceReference inputControlRef)`
`void` | `replaceInputControlLocal(java.lang.String name, InputControl inputControl)`
`void` | `replaceInputControlLocal(java.lang.String name, ResourceReference inputControlReference)`
`void` | `replaceInputControlLocal(java.lang.String name, java.lang.String newReferenceURI)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, InputControl inputControl)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, ResourceReference inputControlReference)`
`void` | `replaceInputControlReference(java.lang.String referenceURI, java.lang.String newReferenceURI)`
`void` | `setAlwaysPromptControls(boolean alwaysPromptControls)`
`void` | `setControlsLayout(byte controlsLayout)`
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSource)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setInputControlRenderingView(java.lang.String viewName)`
`void` | `setInputControls(java.util.List inputControls)`
`void` | `setMainReport(FileResource report)`
`void` | `setMainReport(ResourceReference mainReport)`
`void` | `setMainReportReference(java.lang.String referenceURI)`
`void` | `setQuery(ResourceReference query)`
`void` | `setReportRenderingView(java.lang.String viewName)`
`void` | `setResources(java.util.List resources)`
`ValidationResult` | `validate()`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### ReportUnitImpl

    public ReportUnitImpl()

Method Detail

### getDataSource

    public ResourceReference getDataSource()

  Description copied from interface: `ReportUnit`
  Returns the reference to the `data source` used by this report unit.

  Specified by:
    `getDataSource` in interface `ReportUnit`
  Returns:
    a reference to the data source used by this report unit

### setDataSource

    public void setDataSource(ResourceReference dataSource)

  Specified by:
    `setDataSource` in interface `ReportUnit`

### setDataSource

    public void setDataSource(ReportDataSource dataSource)

  Specified by:
    `setDataSource` in interface `ReportUnit`

### setDataSourceReference

    public void setDataSourceReference(java.lang.String referenceURI)

  Specified by:
    `setDataSourceReference` in interface `ReportUnit`

### getQuery

    public ResourceReference getQuery()

  Description copied from interface: `ReportUnit`
  Returns the reference to the `query` used by this report unit.

  Specified by:
    `getQuery` in interface `ReportUnit`
  Returns:
    a reference to the query used by this report unit

### setQuery

    public void setQuery(ResourceReference query)

  Specified by:
    `setQuery` in interface `ReportUnit`

### getInputControls

    public java.util.List getInputControls()

  Description copied from interface: `ReportUnit`
  Returns a list of `references` to `input controls` used by this report unit.

  Specified by:
    `getInputControls` in interface `ReportUnit`
  Returns:
    a list of references to the input controls used by this report unit

### getMainReport

    public ResourceReference getMainReport()

  Description copied from interface: `ReportUnit`
  Returns the reference to the `JRXML resource` used by this report unit as master report

  Specified by:
    `getMainReport` in interface `ReportUnit`
  Returns:
    a reference to the master report of this report unit

### getInputControl

    public InputControl getInputControl(java.lang.String name)

  Specified by:
    `getInputControl` in interface `ReportUnit`

### setMainReport

    public void setMainReport(ResourceReference mainReport)

  Specified by:
    `setMainReport` in interface `ReportUnit`

### setMainReport

    public void setMainReport(FileResource report)

  Specified by:
    `setMainReport` in interface `ReportUnit`

### setMainReportReference

    public void setMainReportReference(java.lang.String referenceURI)

  Specified by:
    `setMainReportReference` in interface `ReportUnit`

### getResources

    public java.util.List getResources()

  Specified by:
    `getResources` in interface `ReportUnit`

### getResource

    public FileResource getResource(java.lang.String name)

### setResources

    public void setResources(java.util.List resources)

  Specified by:
    `setResources` in interface `ReportUnit`

### getInputControlRenderingView

    public java.lang.String getInputControlRenderingView()

  Specified by:
    `getInputControlRenderingView` in interface `ReportUnit`

### getReportRenderingView

    public java.lang.String getReportRenderingView()

  Specified by:
    `getReportRenderingView` in interface `ReportUnit`

### setInputControlRenderingView

    public void setInputControlRenderingView(java.lang.String viewName)

  Specified by:
    `setInputControlRenderingView` in interface `ReportUnit`

### setReportRenderingView

    public void setReportRenderingView(java.lang.String viewName)

  Specified by:
    `setReportRenderingView` in interface `ReportUnit`

### isAlwaysPromptControls

    public boolean isAlwaysPromptControls()

  Specified by:
    `isAlwaysPromptControls` in interface `ReportUnit`

### setAlwaysPromptControls

    public void setAlwaysPromptControls(boolean alwaysPromptControls)

  Specified by:
    `setAlwaysPromptControls` in interface `ReportUnit`

### getControlsLayout

    public byte getControlsLayout()

  Specified by:
    `getControlsLayout` in interface `ReportUnit`

### setControlsLayout

    public void setControlsLayout(byte controlsLayout)

  Specified by:
    `setControlsLayout` in interface `ReportUnit`

### addResource

    public void addResource(ResourceReference resourceReference)

  Specified by:
    `addResource` in interface `ReportUnit`

### addResourceReference

    public void addResourceReference(java.lang.String referenceURI)

  Specified by:
    `addResourceReference` in interface `ReportUnit`

### addResource

    public void addResource(FileResource resource)

  Specified by:
    `addResource` in interface `ReportUnit`

### removeResource

    public ResourceReference removeResource(int index)

  Specified by:
    `removeResource` in interface `ReportUnit`

### removeResourceLocal

    public FileResource removeResourceLocal(java.lang.String name)

  Specified by:
    `removeResourceLocal` in interface `ReportUnit`

### removeResourceReference

    public boolean removeResourceReference(java.lang.String referenceURI)

  Specified by:
    `removeResourceReference` in interface `ReportUnit`

### validate

    public ValidationResult validate()

  Specified by:
    `validate` in interface `ReportUnit`

### addInputControl

    public void addInputControl(ResourceReference inputControlReference)

  Specified by:
    `addInputControl` in interface `ReportUnit`

### addInputControlReference

    public void addInputControlReference(java.lang.String referenceURI)

  Specified by:
    `addInputControlReference` in interface `ReportUnit`

### setInputControls

    public void setInputControls(java.util.List inputControls)

  Specified by:
    `setInputControls` in interface `ReportUnit`

### addInputControl

    public void addInputControl(InputControl inputControl)

  Specified by:
    `addInputControl` in interface `ReportUnit`

### removeInputControl

    public ResourceReference removeInputControl(int index)

  Specified by:
    `removeInputControl` in interface `ReportUnit`

### removeInputControlLocal

    public InputControl removeInputControlLocal(java.lang.String name)

  Specified by:
    `removeInputControlLocal` in interface `ReportUnit`

### removeInputControlReference

    public boolean removeInputControlReference(java.lang.String referenceURI)

  Specified by:
    `removeInputControlReference` in interface `ReportUnit`

### inputControlsLocalNameLocator

    protected ReportUnitImpl.ResourceListLocalNameLocator inputControlsLocalNameLocator(java.lang.String name)

### inputControlsReferenceLocator

    protected ReportUnitImpl.ResourceListReferenceLocator inputControlsReferenceLocator(java.lang.String referenceURI)

### replaceInputControlLocal

    public void replaceInputControlLocal(java.lang.String name,
                                         ResourceReference inputControlReference)

  Specified by:
    `replaceInputControlLocal` in interface `ReportUnit`

### replaceInputControlReference

    public void replaceInputControlReference(java.lang.String referenceURI,
                                             ResourceReference inputControlReference)

  Specified by:
    `replaceInputControlReference` in interface `ReportUnit`

### replaceInputControlLocal

    public void replaceInputControlLocal(java.lang.String name,
                                         java.lang.String newReferenceURI)

  Specified by:
    `replaceInputControlLocal` in interface `ReportUnit`

### replaceInputControlLocal

    public void replaceInputControlLocal(java.lang.String name,
                                         InputControl inputControl)

  Specified by:
    `replaceInputControlLocal` in interface `ReportUnit`

### replaceInputControlReference

    public void replaceInputControlReference(java.lang.String referenceURI,
                                             java.lang.String newReferenceURI)

  Specified by:
    `replaceInputControlReference` in interface `ReportUnit`

### replaceInputControlReference

    public void replaceInputControlReference(java.lang.String referenceURI,
                                             InputControl inputControl)

  Specified by:
    `replaceInputControlReference` in interface `ReportUnit`

### replaceInputControl

    protected void replaceInputControl(ReportUnitImpl.ResourceListLocator locator,
                                       ResourceReference inputControlRef)

### getResourceLocal

    public FileResource getResourceLocal(java.lang.String name)

  Specified by:
    `getResourceLocal` in interface `ReportUnit`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.